Subject: Re: [eppext] FW: [IANA #814909] INSERT “RGP Poll Mapping for the Extensible Provisioning Protocol (EPP)"

From: Gavin Brown <[email-masked]>
Date: Fri, 03 Apr 2015 12:22:36 +0100

Here is my review as DE:

1. The extension is useful and implements something that should have
been included in RFC3915. Updating that RFC to include poll messages
might be something this WG could consider post rechartering, at which
point this extension could be retired.

2. It's implicit in the text, but it might be worth stating that when a
client receives a poll message as described by this extension, it's
because the domain has completed step 8 in the RGP state diagram in
RFC3915, and is therefore no longer restorable.

3. As others have, I'd also like to voice my concerns about the IP terms
in the Legal Disclaimer. The purpose of registering an EPP exension in
the registry is to facilitate harmonisation and interoperability, and
yet the Legal Disclaimer seems designed to discourage that.

4. The specification seems to meet the requirements in RFC 7451 Section
2.1.1, in that:

* it meets the guidelines in RFC 3735

* Security considerations have been addressed. Privacy considerations
are not addressed, but this specification does not have any particular
problems in these areas.

I recommend that this extension be registered in the registry.

G.

On 23/03/2015 17:38, Hollenbeck, Scott wrote:
> Submitted for DE evaluation.
> 
> Scott
> 
> -----Original Message-----
> From: Amanda Baber via RT [mailto:[email-masked]] 
> Sent: Monday, March 23, 2015 12:29 PM
> Cc: Hollenbeck, Scott
> Subject: [IANA #814909] INSERT “RGP Poll Mapping for the Extensible Provisioning Protocol (EPP)"
> 
> #3 of 18.
> 
> -----BEGIN FORM-----
> Name of Extension:
> “RGP Poll Mapping for the Extensible Provisioning Protocol (EPP)"
> 
> Document Status: 
> Informational
> 
> Reference: 
> http://www.verisigninc.com/assets/epp-sdk/verisign_epp-extension_rgp-poll_v00.html
> 
> Registrant Name and Email Address:
> VeriSign Inc., [email-masked]
> 
> TLDs: Any
> 
> IPR Disclosure: None
> 
> Status: Active
> 
> Notes: None
> -----END FORM-----
> 
> —
> 
> 
> JG
> 
> 
> 
> 
> 
> James Gould
> Distinguished Engineer
> [email-masked]
> 
> 703-948-3271
> 12061 Bluemont Way
> Reston, VA 20190
> 
> VerisignInc.com
> 
> “This message (including any attachments) is intended only for the use of the individual or entity to which it is addressed, and may contain information that is non-public, proprietary, privileged, confidential and exempt from disclosure under applicable law or may be constituted as attorney work product. If you are not the intended recipient, you are hereby notified that any use, dissemination, distribution, or copying of this communication is strictly prohibited. If you have received this message in error, notify sender immediately and delete this message immediately.”
> 
> Download BF09FAA4-32D8-46E0-BED0-CD72F43BD6E0[81].png
> 
> image/png 4KiB
> Image not shown because display is disabled in system configuration.
> _______________________________________________
> EppExt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eppext
> 

-- 
Gavin Brown
Chief Technology Officer
CentralNic Group plc (LSE:CNIC)
Innovative, Reliable and Flexible Registry Services
for ccTLD, gTLD and private domain name registries
https://www.centralnic.com/

CentralNic Group plc is a company registered in England and Wales with
company number 8576358. Registered Offices: 35-39 Moorgate, London,
EC2R 6AR.

---

From: "Gould, James" <[email-masked]>
Date: Fri, 3 Apr 2015 15:38:50 +0000

Gavin,

Thank you for your review.  My feedback is below.

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com<http://VerisignInc.com>

On Apr 3, 2015, at 7:22 AM, Gavin Brown <[email-masked]<mailto:[email-masked]>> wrote:

Here is my review as DE:

I proposed for the poll message to be added to RFC 3915, but the inclusion did not get accepted.  If a standards track extension addresses the needs of the proprietary extension we can look to transition to it.

To clarify, the poll message is used after step 4 in the RGP state diagram to inform the client that the restore report has not been received at a predetermined amount of time, based on server policy, from the restore request.  I noted referencing the appropriate step(s) of the RGP state diagram of RFC 3915.

The disclaimer is a standard copyright notice that will not be uncommon for other proprietary extensions.  I don’t believe the registration of proprietary extensions is counter to the purpose of the extension registry.  We can identify overlap and collaborate on common standard track extensions.

G.

Scott

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]]
Sent: Monday, March 23, 2015 12:29 PM
Cc: Hollenbeck, Scott
Subject: [IANA #814909] INSERT “RGP Poll Mapping for the Extensible Provisioning Protocol (EPP)"

#3 of 18.

-----BEGIN FORM-----
Name of Extension:

Document Status:
Informational

Reference:

TLDs: Any

IPR Disclosure: None

Status: Active

Notes: None
-----END FORM-----

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com

image/png 4KiB

---

From: Roger D Carney <[email-masked]>
Date: Mon, 6 Apr 2015 13:55:04 +0000

I have completed my review of this extension and I have no significant comments. 

Thanks
Roger

-----Original Message-----
From: EppExt [mailto:[email-masked]] On Behalf Of Hollenbeck, Scott
Sent: Monday, March 23, 2015 12:39 PM
To: [email-masked]
Subject: [eppext] FW: [IANA #814909] INSERT “RGP Poll Mapping for the Extensible Provisioning Protocol (EPP)"

Scott

-----Original Message-----
From: Amanda Baber via RT [mailto:[email-masked]] 
Sent: Monday, March 23, 2015 12:29 PM
Cc: Hollenbeck, Scott
Subject: [IANA #814909] INSERT “RGP Poll Mapping for the Extensible Provisioning Protocol (EPP)"

#3 of 18.

-----BEGIN FORM-----
Name of Extension:

Document Status: 
Informational

Reference: 

TLDs: Any

IPR Disclosure: None

Status: Active

Notes: None
-----END FORM-----

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

VerisignInc.com

image/png 4KiB

---

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 6 Apr 2015 21:26:22 +0000

I have sent a note to IANA indicating DE approval for this request.

Scott

> Sent: Monday, March 23, 2015 1:39 PM
> To: [email-masked]
> “This message (including any attachments) is intended only for the use
> of the individual or entity to which it is addressed, and may contain
> information that is non-public, proprietary, privileged, confidential
> and exempt from disclosure under applicable law or may be constituted
> as attorney work product. If you are not the intended recipient, you
> are hereby notified that any use, dissemination, distribution, or
> copying of this communication is strictly prohibited. If you have
> received this message in error, notify sender immediately and delete
> this message immediately.”
>